in `store_translations': undefined method `deep_symbolize_keys' for "σ¡ÿσé¿σî╣ΘàìΦºäσêÖσ

ÉÄµÅÉΣ║ñ":String (NoMethodError)

2010-12-29 04:52 - Hansen Ler

Status: Closed Start date: 2010-12-29

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.4

Description

Performing an upgrade from 1.0.1 to 1.0.5, I've got the above mentioned issue. Reverting back does not solve the issue either. I've

re-installed ruby as well. Webrick also has an issue!!!

C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/simple.rb:34:in `stor

e_translations': undefined method `deep_symbolize_keys' for "σ¡ÿσé¿σî╣ΘàìΦºäσêÖσ

ÉÄµÅÉΣ║ñ":String (NoMethodError)

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:

193:in `load_file'

Gem list are as follows:

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

cgi_multipart_eof_fix (2.5.0)

gem_plugin (0.2.3)

i18n (0.5.0, 0.4.2)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.4.0)

mysql (2.8.1 x86-mingw32)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

shared-mime-info (0.1)

unicode (0.4.0.1 x86-mingw32) 

ruby -v

ruby 1.8.7 (2010-08-16 patchlevel 302) [i386-mingw32]

Need help!!!

Related issues:

Related to Redmine - Defect #8543: Need to upgrade other packages Closed 2011-06-06

History

#1 - 2010-12-29 05:07 - Hansen Ler

Additional logs when starting webrick or mongrel service...

** Starting Rails with production environment...

D:/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is deprecated and will

be removed on or after August 2010.  Use #requirement

C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/simple.rb:34:in `store_translations': undefined method `deep_symbolize_keys' for

"存储匹配规则后提交":String (NoMethodError)

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:193:in `load_file'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:193:in `each'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:193:in `load_file'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:20:in `load_translations'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:20:in `each'
from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:20:in `load_translations'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/simple.rb:57:in `init_translations'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/simple.rb:40:in `available_locales'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/config.rb:39:in `available_locales'

from C:/Ruby/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n.rb:36:in `available_locales'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:226:in `valid_locale?'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:243:in `parse_extensions'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:233:in `split'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:118:in `initialize'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:92:in `new'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:92:in `create_template'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:87:in `templates_in_path'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:86:in `each'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:86:in `templates_in_path'

from D:/redmine/vendor/rails/actionpack/lib/action_view/template.rb:69:in `load!'

from D:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:147:in `to_proc'

from D:/redmine/vendor/rails/actionpack/lib/action_view/paths.rb:40:in `each'

from D:/redmine/vendor/rails/actionpack/lib/action_view/paths.rb:40:in `load!'

from D:/redmine/config/../vendor/rails/railties/lib/initializer.rb:402:in `load_view_paths'

from D:/redmine/config/../vendor/rails/railties/lib/initializer.rb:194:in `process'

from D:/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

from D:/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

from D:/redmine/config/environment.rb:20

from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:147:in `rails'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:113:in `cloaker_'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:149:in `call'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:149:in `listener'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:99:in `cloaker_'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:50:in `call'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:50:in `initialize'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:84:in `new'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:84:in `run'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/command.rb:212:in `run'

from C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

from C:/Ruby/bin/mongrel_rails:19:in `load'

from C:/Ruby/bin/mongrel_rails:19

#2 - 2010-12-29 05:19 - Hansen Ler

- Status changed from New to Resolved

- % Done changed from 0 to 100

Opps! Think I solve my issue. Found that the log files in \log folder is more effective in translating the unknown characters.

Googled for the unknown character and found this link:

https://github.com/rchady/redmine_importer/pull/3

Seems that it is a plugin issue with the config problem. Go to

\vendor\plugins\redmine_importer\config\locales\zh.yml

This file is missing the "zh:" header (without the double quotes)!

Added:

zh:

to resolve issue. It will be best if possible to include the problematic locale file in the logs as well! Maybe can categorize under i18n for future

upgrading versions!

#3 - 2010-12-29 09:28 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

That's a problem with the plugin, not redmine in itself, please contact the plugin's author so he can take care of it, thanks.

#4 - 2010-12-29 11:29 - Hansen Ler

Yup! The plugin owner has a new patch for that. Just added this for documentation. And in case some other plugin author make the mistake as well.

Redmine 1.0.1 and 0.9.2 which I'm using the same plugin since has no problem after migration. Seems like newer version (where I upgrade from

1.0.1 to 1.0.5) does parse the locales with headers.

Anyways, cheers for the great job!
#5 - 2011-10-25 12:15 - Duane Lock

SPAM
